Index: trunk/doc/Flair/search/files_6.js
===================================================================
--- trunk/doc/Flair/search/files_6.js	(revision 26)
+++ trunk/doc/Flair/search/files_6.js	(revision 27)
@@ -3,4 +3,5 @@
   ['geocoordinate_2eh',['GeoCoordinate.h',['../_geo_coordinate_8h.html',1,'']]],
   ['gps_2eh',['Gps.h',['../_gps_8h.html',1,'']]],
+  ['gpsdata_2eh',['GpsData.h',['../_gps_data_8h.html',1,'']]],
   ['gridlayout_2eh',['GridLayout.h',['../_grid_layout_8h.html',1,'']]],
   ['groupbox_2eh',['GroupBox.h',['../_group_box_8h.html',1,'']]],
Index: trunk/doc/Flair/search/functions_13.js
===================================================================
--- trunk/doc/Flair/search/functions_13.js	(revision 26)
+++ trunk/doc/Flair/search/functions_13.js	(revision 27)
@@ -88,5 +88,5 @@
   ['textdirection',['textDirection',['http://qt-project.org/doc/qt-4.8/qtextblock.html#textDirection',0,'QTextBlock::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextoption.html#textDirection',0,'QTextOption::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection() const'],['http://qt-project.org/doc/qt-4.8/qlocale.html#textDirection',0,'QLocale::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextinlineobject.html#textDirection',0,'QTextInlineObject::textDirection()']]],
   ['textechomode',['textEchoMode',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#textEchoMode-prop',0,'QInputDialog']]],
-  ['textedit',['TextEdit',['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()'],['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()']]],
+  ['textedit',['textEdit',['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()'],['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()']]],
   ['textedited',['textEdited',['http://qt-project.org/doc/qt-4.8/qlineedit.html#textEdited',0,'QLineEdit']]],
   ['textelidemode',['textElideMode',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#textElideMode-prop',0,'QAbstractItemView']]],
@@ -122,5 +122,5 @@
   ['themesearchpaths',['themeSearchPaths',['http://qt-project.org/doc/qt-4.8/qicon.html#themeSearchPaths',0,'QIcon']]],
   ['thisobject',['thisObject',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#thisObject',0,'QScriptContext::thisObject()'],['http://qt-project.org/doc/qt-4.8/qscriptable.html#thisObject',0,'QScriptable::thisObject()']]],
-  ['thread',['thread',['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()'],['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()']]],
+  ['thread',['Thread',['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()'],['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()']]],
   ['throwerror',['throwError',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError',0,'QScriptContext::throwError(Error error, const QString &amp;text)'],['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError-2',0,'QScriptContext::throwError(const QString &amp;text)']]],
   ['throwvalue',['throwValue',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwValue',0,'QScriptContext']]],
Index: trunk/doc/Flair/search/functions_1a.js
===================================================================
--- trunk/doc/Flair/search/functions_1a.js	(revision 26)
+++ trunk/doc/Flair/search/functions_1a.js	(revision 27)
@@ -31,4 +31,5 @@
   ['_7egeocoordinate',['~GeoCoordinate',['../classflair_1_1core_1_1_geo_coordinate.html#a2bb9ea66ede832b59e484ed4d3810770',1,'flair::core::GeoCoordinate']]],
   ['_7egps',['~Gps',['../classflair_1_1sensor_1_1_gps.html#a7d75b9b8ffeafd9d5062806e598398bd',1,'flair::sensor::Gps']]],
+  ['_7egpsdata',['~GpsData',['../classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8',1,'flair::core::GpsData']]],
   ['_7egridlayout',['~GridLayout',['../classflair_1_1gui_1_1_grid_layout.html#a688ff9f536c2c9e12f7ef845d176caa3',1,'flair::gui::GridLayout']]],
   ['_7egroupbox',['~GroupBox',['../classflair_1_1gui_1_1_group_box.html#a271493c0c9db0cb9e8f542efd281be60',1,'flair::gui::GroupBox']]],
Index: trunk/doc/Flair/search/functions_4.js
===================================================================
--- trunk/doc/Flair/search/functions_4.js	(revision 26)
+++ trunk/doc/Flair/search/functions_4.js	(revision 27)
@@ -26,5 +26,5 @@
   ['elapsed',['elapsed',['http://qt-project.org/doc/qt-4.8/qtime.html#elapsed',0,'QTime::elapsed()'],['http://qt-project.org/doc/qt-4.8/qelapsedtimer.html#elapsed',0,'QElapsedTimer::elapsed()']]],
   ['elapsedusecs',['elapsedUSecs',['http://qt-project.org/doc/qt-4.8/qaudioinput.html#elapsedUSecs',0,'QAudioInput::elapsedUSecs()'],['http://qt-project.org/doc/qt-4.8/qaudiooutput.html#elapsedUSecs',0,'QAudioOutput::elapsedUSecs()']]],
-  ['element',['Element',['../classflair_1_1core_1_1_ahrs_data.html#a0100cfbcaa8c292e53e165201a2d8e1f',1,'flair::core::AhrsData::Element()'],['../classflair_1_1core_1_1cvmatrix.html#a86646b6cf63734fc417414031374819d',1,'flair::core::cvmatrix::Element(uint32_t row, uint32_t col) const '],['../classflair_1_1core_1_1cvmatrix.html#accb5a54d77c4e1bdd3604087088bc2f0',1,'flair::core::cvmatrix::Element(uint32_t index) const '],['../classflair_1_1core_1_1_imu_data.html#a4f26aa0799e4156f3885a436a269d9c5',1,'flair::core::ImuData::Element()'],['http://qt-project.org/doc/qt-4.8/qwebhittestresult.html#element',0,'QWebHitTestResult::element()']]],
+  ['element',['Element',['../classflair_1_1core_1_1_ahrs_data.html#a0100cfbcaa8c292e53e165201a2d8e1f',1,'flair::core::AhrsData::Element()'],['../classflair_1_1core_1_1cvmatrix.html#a86646b6cf63734fc417414031374819d',1,'flair::core::cvmatrix::Element(uint32_t row, uint32_t col) const '],['../classflair_1_1core_1_1cvmatrix.html#accb5a54d77c4e1bdd3604087088bc2f0',1,'flair::core::cvmatrix::Element(uint32_t index) const '],['../classflair_1_1core_1_1_gps_data.html#a0deb3d08a943318fa2397f5d4ebbab41',1,'flair::core::GpsData::Element()'],['../classflair_1_1core_1_1_imu_data.html#a4f26aa0799e4156f3885a436a269d9c5',1,'flair::core::ImuData::Element()'],['http://qt-project.org/doc/qt-4.8/qwebhittestresult.html#element',0,'QWebHitTestResult::element()']]],
   ['elementat',['elementAt',['http://qt-project.org/doc/qt-4.8/qpainterpath.html#elementAt',0,'QPainterPath']]],
   ['elementbyid',['elementById',['http://qt-project.org/doc/qt-4.8/qdomdocument.html#elementById',0,'QDomDocument::elementById()'],['http://qt-project.org/doc/qt-4.8/qsimplexmlnodemodel.html#elementById',0,'QSimpleXmlNodeModel::elementById()'],['http://qt-project.org/doc/qt-4.8/qabstractxmlnodemodel.html#elementById',0,'QAbstractXmlNodeModel::elementById()']]],
Index: trunk/doc/Flair/search/functions_6.js
===================================================================
--- trunk/doc/Flair/search/functions_6.js	(revision 26)
+++ trunk/doc/Flair/search/functions_6.js	(revision 27)
@@ -220,4 +220,5 @@
   ['gotoitem',['goToItem',['http://qt-project.org/doc/qt-4.8/qwebhistory.html#goToItem',0,'QWebHistory']]],
   ['gps',['Gps',['../classflair_1_1sensor_1_1_gps.html#a1a41dcb0713df729ed0e9bad3c0a0a23',1,'flair::sensor::Gps']]],
+  ['gpsdata',['GpsData',['../classflair_1_1core_1_1_gps_data.html#a1e4cb1b1c7c97ada454ae1ed251079e7',1,'flair::core::GpsData']]],
   ['grabframebuffer',['grabFrameBuffer',['http://qt-project.org/doc/qt-4.8/qglwidget.html#grabFrameBuffer',0,'QGLWidget']]],
   ['grabgesture',['grabGesture',['http://qt-project.org/doc/qt-4.8/qwidget.html#grabGesture',0,'QWidget::grabGesture()'],['http://qt-project.org/doc/qt-4.8/qgraphicsobject.html#grabGesture',0,'QGraphicsObject::grabGesture()']]],
Index: trunk/include/FlairCore/GpsData.h
===================================================================
--- trunk/include/FlairCore/GpsData.h	(revision 27)
+++ trunk/include/FlairCore/GpsData.h	(revision 27)
@@ -0,0 +1,102 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
+/*!
+ * \file GpsData.h
+ * \brief Class defining gps datas
+ * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
+ * \date 2016/07/01
+ * \version 4.0
+ */
+#ifndef GPSDATA_H
+#define GPSDATA_H
+
+#include <io_data.h>
+#include <IODataElement.h>
+#include <Vector3D.h>
+
+namespace flair {
+namespace core {
+
+/*! \class GpsData
+*
+* \brief Class defining gps datas
+*
+* GPS datas consist of
+*
+*
+*/
+class GpsData : public io_data {
+public:
+  class Type : public DataType {
+  public:
+    Type(void){}
+    std::string GetDescription() const { return "gps data"; }
+    size_t GetSize() const {
+      return 0;
+    }
+
+  private:
+  };
+
+  /*!
+  \enum PlotableData_t
+  \brief Datas wich can be plotted in a DataPlot1D
+  */
+  typedef enum {
+
+  } PlotableData_t;
+
+  /*!
+  * \brief Constructor
+  *
+  * Construct an io_data representing GPS datas. \n
+  *
+  * \param parent parent
+  * \param name name
+  * \param n number of samples
+  */
+  GpsData(const Object *parent, std::string name = "", int n = 1);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~GpsData();
+
+  /*!
+  * \brief Element
+  *
+  * Get a pointer to a specific element. This pointer can be used for plotting.
+  *
+  * \param data_type data type
+  *
+  * \return pointer to the element
+  */
+  IODataElement *Element(PlotableData_t data_type) const;
+
+
+  Type const &GetDataType() const { return dataType; }
+
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * Reimplemented from io_data. \n
+  * See io_data::CopyDatas.
+  *
+  * \param dst destination buffer
+  */
+  void CopyDatas(char *dst) const;
+
+
+
+  void Queue(char **dst, const void *src, size_t size) const;
+  Type dataType;
+};
+
+} // end namespace core
+} // end namespace flair
+
+#endif // GPSDATA_H
Index: trunk/include/FlairMeta/UavStateMachine.h
===================================================================
--- trunk/include/FlairMeta/UavStateMachine.h	(revision 26)
+++ trunk/include/FlairMeta/UavStateMachine.h	(revision 27)
@@ -261,4 +261,5 @@
   void Run(void);
   void StopMotors(void);
+  bool IsValuePossible(float value,std::string desc);
 
   meta::Uav *uav;
Index: trunk/scripts/flair_compile_all.sh
===================================================================
--- trunk/scripts/flair_compile_all.sh	(revision 26)
+++ trunk/scripts/flair_compile_all.sh	(revision 27)
@@ -108,4 +108,10 @@
 	done
 
+	for projects in CustomReferenceAngles CustomTorques; do
+		configure $FLAIR_ROOT/flair-src/demos/Skeletons $projects
+	   	compile $FLAIR_ROOT/flair-src/demos/Skeletons $projects
+		cross_compile $FLAIR_ROOT/flair-src/demos/Skeletons $projects
+	done
+
 	if [ -d $FLAIR_ROOT/flair-hds ]; then
 		for projects in OpticalFlow; do
@@ -123,9 +129,5 @@
 	done
 
-	for projects in CustomReferenceAngles CustomTorques; do
-		configure $FLAIR_ROOT/uav_ex/skeletons_framework $projects
-	   	compile $FLAIR_ROOT/uav_ex/skeletons_framework $projects
-		cross_compile $FLAIR_ROOT/uav_ex/skeletons_framework $projects
-	done
+	
 }
 
